API Reference
API Reference

List Invoices

List Invoices

Query Params
invoice_ids
array of strings

Invoice ID array, filter invoices whose IDs belong to this array

invoice_ids
trade_ids
array of strings

Trade ID array, filter invoices whose Trade IDs belong to this array

trade_ids
order_ids
array of strings

Order ID array, filter invoices whose Order IDs belong to this array

order_ids
string

Subscription ID

string

Customer ID

biz_status
array of strings

Invoice status array, filter invoices whose status belong to this array

  • open: Initial state
  • pending: Invoice pending
  • retrying: Invoice retrying
  • success: Invoice successful
  • failed: Invoice failed
  • refunded: Invoice fully refunded
  • partially_refunded: Invoice partially refunded
biz_status
invoice_types
array of strings

Invoice type array, filter invoices whose type belong to this array

  • initial: First payment
  • trial: Trial period
  • renewal: Renewal
  • refund: Refund
invoice_types
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

int32

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

Headers
string
required
Defaults to 008e3967-a1b5-48bb-be14-d5bff5092e61

The unique identifier of the request

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json